%define	name		smile
%define origname 	Smile
%define	version		1.0
%define	release		%mkrel	3

Summary:	Program to Create your own slideshow
Summary(de):	Werkzeug für das Erzeugen von Slideshows
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Graphics
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%_tmppath/%name-%version-buildroot
URL:		http://kde-apps.org
BuildRequires: 	libqt4-devel
BuildRequires:	qt4-devel >= 4.4
Requires:	sox >= 14.3.0
Requires:	ImageMagick >= 6.2.9.2
Requires:	mencoder 
Requires:	mplayer
Requires:	task-qt4
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
Smile (the next generation off Manslide) is a slideshow creation application which makes 
it easy to produce attractive slideshows with optional background music. 
Manslide uses the QT4 toolkit.

You must have opengl compatible graphic card

%description -l de
Smile (der Nachfolger von Manslide) ist ein Werkzeug für das Erzeugen von Slideshows. 
Es nutzt spezielle 3D Effekte und ist sehr einfach zu verwenden. Dieses ist eine Anwendung für QT4.

Benötigt eine opengl compatible Grafikkarte.

#french
%description -l fr
Smile (la prochaine génération off Manslide) est une application de création de diaporamas qui rend
il est facile de produire des diaporamas attrayants avec musique de fond en option.
Manslide utilise la bibliothèque QT4. 

#spanish
%description -l es
Smile (la próxima generación fuera Manslide) es una aplicación de creación de diapositivas que hace
es fácil de producir atractivas presentaciones con música de fondo opcional.
Manslide utiliza el kit de herramientas QT4.

#polish
%description -l pl
Smile (następnej generacji off Manslide) jest aplikacją która umożliwia tworzenie pokazu slajdów
to łatwe do zrobienia atrakcyjnego pokazu slajdów z muzyką w tle opcjonalne.
Manslide korzysta z biblioteki Qt4.

#serbian
%description -l sr
Смиле (следећу генерацију искључен Манслиде) је Слидесхоу стварање апликација која омогућава
лако да произведу атрактивне слајдова са музиком у позадини обавезно.
Манслиде користи КТ4 средства.

#dutch
%description -l nl
Smile (de volgende generatie uit Manslide) is een diavoorstelling schepping toepassing, waardoor
gemakkelijk te produceren aantrekkelijke diavoorstellingen met optionele achtergrond muziek.
Manslide maakt gebruik van de QT4 toolkit.



%prep
%setup -q -n %name

#to fix compile remove all moc_ files
rm -Rf moc_*

%build
PATH=/usr/lib/qt4/bin:$PATH qmake
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" %make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/BIB_ManSlide
mkdir -p %{buildroot}%{_datadir}/%{name}/Help
mkdir -p %{buildroot}%{_datadir}/icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

cp %{name} %{buildroot}%{_datadir}/%{name}/
cp -R BIB_ManSlide/Eff_sup %{buildroot}%{_datadir}/%{name}/BIB_ManSlide/
cp -R BIB_ManSlide/Luma %{buildroot}%{_datadir}/%{name}/BIB_ManSlide/
cp -R BIB_ManSlide/Help %{buildroot}%{_datadir}/%{name}/BIB_ManSlide/
cp -R Interface %{buildroot}%{_datadir}/%{name}/
cp -R %{name}_*.qm %{buildroot}%{_datadir}/%{name}/
cp -R %{name}_*.ts %{buildroot}%{_datadir}/%{name}/
cp -R fake.pl %{buildroot}%{_datadir}/%{name}/

ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}
chmod +x %{buildroot}%{_datadir}/%{name}/%{name}

chmod 0755 %{buildroot}%{_datadir}/%{name}/fake.pl

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
GenericName=%{name}
Name=%{origname}
Comment=Slideshow generator
Comment[de]=Ein Werkzeug für das Erzeugen von Slideshows
Comment[fr]=Générateur de diaporamas
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics
EOF

#icon
install -m 0644 Interface/Theme/logostart.png %buildroot/%_datadir/pixmaps/%name.png
convert -scale 48 %buildroot/%_datadir/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png



%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}
%{update_menus}

%postun
%{clean_desktop_database}
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon May 03 2010 Texstar <texstar at gmail.com> 1.0-3pclos2010
- make fake.pl executable

* Tue Oct 05 2009 Texstar <texstar at gmail.com> 1.0-2pclos2010
- include fake.pl

* Tue Oct 05 2009 Texstar <texstar at gmail.com> 1.0-1pclos2010
- 1.0

* Sat Sep 19 2009 pcserver <pcserver at hush.com> 0.9.14-1pclos2009
- 0.9.14

* Sat Sep 05 2009 pcserver <pcserver at hushmail.com> 0.9.13-1pclos2009
- 0.9.13

* Fri Aug 28 2009 slick50 <lxgator at gmail.com> 0.9.12-1pclos2009
- 0.9.12

* Sat Jun 06 2009 <maik3531 at yahoo.de> smile-0.9.0-1pclos2007
- update to version 0.9.10 with new SOX

* Sun Apr 05 2009 <maik3531 at yahoo.de> smile-0.9.0-1pclos2007
- update to version 0.9.0

* Mon Jul 21 2008 <maik3531 at web.de> smile-0.3.1-3pclos2007
- update german translation

* Sun Jul 13 2008 <maik3531 at web.de> smile-0.3.1-2pclos2007
- fix icon
- Add german translation

* Mon Jul 07 2008 <maik3531 at web.de> smile-0.3.1-1pclos2007
- update to smile Version-0.3.1

